kernel panic on tomoyo-tools 2.2 / looking for 2.3

Bug #754549 reported by Andras Horvath on 2011-04-08
258
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tomoyo-tools (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: tomoyo-tools

System is Ubuntu 11.04 Natty beta amd64, minimal install with only console, upgraded from 10.10.

Offical Ubuntu kernel is compiled with Tomoyo support. To activate Tomoyo, tomoyo-tools package needs to be installed and system rebooted with "security=tomoyo" kernel parameter.

Kernel panic happens during the boot process complaining about not finding tomoyo-init 2.3. The offical repo has only version 2.2:
http://packages.ubuntu.com/natty/tomoyo-tools

Installling the tomoyo-tools package version 2.3 from Debian testing (Wheezy) solves the problem and it seems to be working fine. 2 packages are needed:
http://packages.debian.org/wheezy/libtomoyotools1
http://packages.debian.org/wheezy/tomoyo-tools

Tomoyo 2.3 is supported since kernel version 2.6.36, and Natty has kernel 2.6.38.

I consider this a release critical problem because it causes kernel panic, and because it breaks security of Tomoyo hardened systems.

The Panic getting triggered is reproducible.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: tomoyo-tools 2.2.0-20100225-1
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
Date: Fri Apr 8 13:36:55 2011
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: tomoyo-tools
UpgradeStatus: Upgraded to natty on 2011-04-07 (1 days ago)

Andras Horvath (log69) wrote :
visibility: private → public
Jamie Strandboge (jdstrand) wrote :

Thanks for reporting this bug and helping to make Ubuntu better. A simple sync request should fix this. I will perform that. Please test and give positive or negative feedback here.

Changed in tomoyo-tools (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-11.04-beta-2
status: New → Triaged
Jamie Strandboge (jdstrand) wrote :

[Updating] tomoyo-tools (2.2.0-20100225-1 [Ubuntu] < 2.3.0-20100820-1 [Debian])
 * Trying to add tomoyo-tools...
2011-04-08 12:31:05 INFO - <tomoyo-tools_2.3.0-20100820.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-04-08 12:31:05 INFO - <tomoyo-tools_2.3.0-20100820-1.dsc: downloading from http://ftp.debian.org/debian/>
2011-04-08 12:31:05 INFO - <tomoyo-tools_2.3.0-20100820-1.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
I: tomoyo-tools [universe] -> tomoyo-tools_2.2.0-20100225-1 [universe].

Changed in tomoyo-tools (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers